Bug 2104903 - gns3-gui -> nothing provides python3.10dist(distro) >= 1.7 needed by gns3-gui-2.2.33.1-1.fc36.noarch
Summary: gns3-gui -> nothing provides python3.10dist(distro) >= 1.7 needed by gns3-gui...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gns3-gui
Version: 36
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-07 12:41 UTC by Héctor Louzao
Modified: 2022-07-21 16:38 UTC (History)
2 users (show)

Fixed In Version: gns3-gui-2.2.33.1-2.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-14 14:38:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Héctor Louzao 2022-07-07 12:41:50 UTC
Description of problem:

 Problem: cannot install the best update candidate for package gns3-gui-2.2.32-1.fc36.noarch
  - nothing provides python3.10dist(distro) >= 1.7 needed by gns3-gui-2.2.33.1-1.fc36.noarch
================================================================================
 Package          Architecture   Version                  Repository       Size
================================================================================
Skipping packages with broken dependencies:
 gns3-gui         noarch         2.2.33.1-1.fc36          updates         4.6 M

Transaction Summary
================================================================================
Skip  1 Package

Nothing to do.
Complete!

Version-Release number of selected component (if applicable):

gns3-net-converter-1.3.0-20.fc36.noarch
gns3-gui-2.2.32-1.fc36.noarch
gns3-server-2.2.33.1-1.fc36.noarch

How reproducible:

Steps to Reproduce:

1. sudo dnf upgrade
2.
3.

Actual results:

always

https://bugzilla.redhat.com/show_bug.cgi?id=2100066
https://koji.fedoraproject.org/koji/buildinfo?buildID=1993990

Expected results:

upgrade

Additional info:

fedora 36 x86_64, full updated:

 Problem: cannot install the best update candidate for package gns3-gui-2.2.32-1.fc36.noarch
  - nothing provides python3.10dist(distro) >= 1.7 needed by gns3-gui-2.2.33.1-1.fc36.noarch
================================================================================
 Package          Architecture   Version                  Repository       Size
================================================================================
Skipping packages with broken dependencies:
 gns3-gui         noarch         2.2.33.1-1.fc36          updates         4.6 M

Transaction Summary
================================================================================
Skip  1 Package

Nothing to do.
Complete!

Regards.,

Comment 1 Pranav 2022-07-07 17:57:11 UTC
1 thing that I don't understand is: 

After more than 15 days of the GNS3 release, why do we still get the updates with broken dependencies?

The last release had a similar python dependency issue. 

I see this issue too frequently which is quite bothering.
I'm curious.

Comment 2 Fedora Update System 2022-07-12 06:51:20 UTC
FEDORA-2022-734affc3e3 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-734affc3e3

Comment 3 Fedora Update System 2022-07-13 01:28:21 UTC
FEDORA-2022-734affc3e3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-734affc3e3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-734affc3e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-07-21 16:38:45 UTC
FEDORA-2022-734affc3e3 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.